ts = 50;  % Durata della simulazione in secondi
Tc = 0.1; % Tempo di campionamento


A = [0.9944 -0.1203 -0.4302;
     0.0017  0.9902 -0.0747;
     0       0.8187  0];
 
 
B = [0.4252 -0.0082 0.1813]';

C = [1 0 0];

D = 0;

x0 = [0.05 0.15 0.2];

v = [0.86 0.87 0.88]; % Autovalori osservatori
tfy = ts/2;           % Istanti d'inizio guasto a gradino


K  = place(A',C',v)';

Ao = A - K * C; Bo = [B K]; Co = C; Do = zeros(1,2);
